#pragma once
#include"atlbase.h"
#include"atlcom.h"
#import "../bin/PlatInterface.dll" no_namespace,named_guids

class CIPlatInterActiveEvent
	: public IDispEventImpl<0, CIPlatInterActiveEvent, &DIID__IPlatInterActiveEvents, &LIBID_PlatInterfaceLib, 1, 0>
{
public:
	CIPlatInterActiveEvent(CWnd* pParentWnd);
	~CIPlatInterActiveEvent(void);
public:
	BEGIN_SINK_MAP( CIPlatInterActiveEvent)
		SINK_ENTRY_EX( 0, DIID__IPlatInterActiveEvents, 1, OnInterfaceXMLResp)
		SINK_ENTRY_EX( 0, DIID__IPlatInterActiveEvents, 2, OnInterfaceDataResp)
	END_SINK_MAP()

	STDMETHOD( OnInterfaceXMLResp)(LONG nCode,LONG nDataLen, BSTR strXml);
	STDMETHOD( OnInterfaceDataResp)(LONG nCode,BYTE* byteData);
private:
	CWnd* m_pParentWnd;
};
